# Type Alias WidgetCoverContent

type WidgetCoverContent = {
button?: Record<string, string | number | boolean>;
colorFilter?: string;
css?: Record<string, string | number>;
description?: string;
id?: number;
imgLink?: string;
opacityFilter?: number;
title?: string;
titleHeading?: HeadingType;
}

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:5

##### Index

### Properties

button?
colorFilter?
css?
description?
id?
imgLink?
opacityFilter?
title?
titleHeading?

## Properties

### `Optional` button

button?: Record<string, string | number | boolean>

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:13

### `Optional` colorFilter

colorFilter?: string

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:11

### `Optional` css

css?: Record<string, string | number>

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:14

### `Optional` description

description?: string

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:9

### `Optional` id

id?: number

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:6

### `Optional` imgLink

imgLink?: string

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:10

### `Optional` opacityFilter

opacityFilter?: number

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:12

### `Optional` title

title?: string

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:7

### `Optional` titleHeading

titleHeading?: HeadingType

- Defined in jamespot-user-api/src/types/widgets/widgetCover.ts:8